%define	name	poedit
%define	version	1.3.4
%define release	%mkrel 2

%define	section	More Applications/Editors
%define	title	Poedit

%define	Summary	Gettext translation file editor

Summary:	%Summary
Name:		%name
Version:	%version
Release:	%release
License:	MIT
Group:		Editors
URL:		http://www.poedit.org
Source0:	%{name}-%{version}.tar.bz2
# (Abel) 1.3.3-1mdk Avoid detection of desktop stuff
Patch0:		poedit-1.3.3-no-desktop.patch.bz2
BuildRoot:      %_tmppath/%{name}-%{version}-buildroot
Requires:	gettext
BuildRequires:	wxgtku-devel >= 2.6
BuildRequires:	db4-devel >= 4.1
BuildRequires:	gtkspell-devel
BuildRequires:	zip
BuildRequires:	desktop-file-utils
BuildRequires:	automake1.9

%description
poEdit is cross-platform gettext catalogs (.po files) editor. It is built with
wxWindows toolkit and can run on Unix or Windows. It aims to provide convenient
way of editing gettext catalogs. It features UTF-8 support, fuzzy and
untranslated records highlighting, whitespaces highlighting, references
browser, headers editing and can be used to create new catalogs or update
existing catalogs from source code by single click.

%prep
%setup -q
%patch0 -p1 -b .no-desktop

# needed by patch
autoconf

%build
# wx-config is brain-damaged. Damn you, multiarch, damn you
%configure2_5x --with-wx-config=%{_bindir}/wx-config-unicode
%make

%install
%__rm -rf %{buildroot}
%makeinstall_std

# menu
%__mkdir_p %buildroot%_menudir
cat > %buildroot%_menudir/%name << EOF
?package(%name): \
command="%_bindir/%name" \
needs="X11" \
icon="%name.png" \
section="%section" \
title="%title" \
mimetypes="application/x-po,application/x-gettext,application/x-gettext-translation,text/x-gettext-translation,text/x-gettext-translation-template" \
accept_url="true" \
multiple_files="true" \
longtitle="%Summary"
EOF

# icons
%__install -D -m 644 src/icons/appicon/poedit-48.png %buildroot/%_liconsdir/%name.png
%__install -D -m 644 src/icons/appicon/poedit-32.png %buildroot/%_iconsdir/%name.png
%__install -D -m 644 src/icons/appicon/poedit-16.png %buildroot/%_miconsdir/%name.png

# install desktop stuff manually
%__install -D -m 644 install/x-po.desktop %{buildroot}%{_datadir}/mimelnk/application/x-po.desktop
%__install -D -m 644 install/poedit.desktop %{buildroot}%{_datadir}/applnk/Development/poedit.desktop
%__install -D -m 644 src/icons/appicon/poedit-48.png %{buildroot}%{_datadir}/pixmaps/poedit.png

# and gnome desktop entry too
%__mkdir_p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor='' --add-mime-type='application/x-gettext-translation;text/x-gettext-translation;text/x-gettext-translation-template' --add-category='GNOME;Application;Development' --dir='%{buildroot}%{_datadir}/applications' install/poedit.desktop

# remove files not bundled
%__rm -f %{buildroot}/%{_iconsdir}/poedit.xpm

# (Abel) 1.3.3-1mdk Fix(?) locale file paths
pushd %{buildroot}%{_datadir}/locale
%__mv af_ZA af
%__mv am_ET am
%__mv fa_IR fa
%__mv pt_PT pt
%__mv sq_AL sq
%__mv sv_SE sv
popd

%find_lang %{name}

%post
%update_menus

%postun
%clean_menus

%clean
%__rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc NEWS README AUTHORS COPYING TODO docs/technote.txt
%dir %{_datadir}/poedit
%{_bindir}/poedit
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_mandir}/man1/*
%{_datadir}/poedit/resources.zip
%{_datadir}/poedit/help.zip
%{_datadir}/poedit/help-gettext.zip
%lang(hr) %{_datadir}/poedit/help-hr.zip
%{_datadir}/applications/*.desktop
%{_datadir}/applnk/Development/*
%{_datadir}/mimelnk/application/*
%{_datadir}/pixmaps/*
#{_datadir}/gnome/apps/Development/*
#{_datadir}/mime-info/poedit.*

%changelog
* Sat Nov 26 2005 Tibor Pittich <Tibor.Pittich@mandriva.org> 1.3.4-2mdk
- rebuild against libcairo2
- macroszification

* Tue Oct 4 2005 Tibor Pittich <Tibor.Pittich@mandriva.org> 1.3.4-1mdk
- 1.3.4

* Tue Jul 05 2005 Abel Cheung <deaddog@mandriva.org> 1.3.3-2mdk
- Make sure to build with wxGTK 2.6 with unicode support
- makeinstall_std
- Drop semistatic support, never tested and broken for ages
- Use source bundled icons, which are much clearer
- Patch0: Avoid detection of GNOME/KDE desktop. Install desktop
  stuff manually to avoid annoying GNOME 1.x / KDE dependency

* Mon Jun 27 2005 Tibor Pittich <Tibor.Pittich@mandriva.org> 1.3.3-1mdk
- 1.3.3
- use mkrel

* Sat Jan 29 2005 Tibor Pittich <Tibor.Pittich@mandrake.org> 1.3.2-1mdk
- 1.3.2

* Wed Sep 15 2004 Tibor Pittich <Tibor.Pittich@mandrake.org> 1.3.1-1mdk
- 1.3.1
- removed P0
- makeinstall instead of makeinstall_std
- build with gtkspell
- fixed menu section

* Tue Sep 7 2004 Tibor Pittich <Tibor.Pittich@mandrake.org> 1.3.0-1mdk
- 1.3.0
- this version is a little bit broken, there is some known nasty bugs which
  will be fixed in 1.3.1 available soon
- added temporary P0 which allow build poedit with wxGTK2.5.1 (thanks for patch
  to Vaclav Slavik)
- improved icons installation

* Mon Jun 07 2004 Tibor Pittich <Tibor.Pittich@mandrake.org> 1.2.5-2mdk
- rebuild with libstdc++6
- some macroszification, update section

* Thu Feb 05 2004 Tibor Pittich <Tibor.Pittich@mandrake.org> 1.2.5-1mdk
- 1.2.5

* Wed Dec 17 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.2.4-2mdk
- fix wrong buildrequires

* Wed Dec 17 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.2.4-1mdk
- 1.2.4

* Thu Oct 16 2003 Abel Cheung <deaddog@deaddog.org> 1.2.3-1mdk
- 1.2.3
- Drop patch 0/1 (better fix upstream)
- Restructure the semstatic building part so that source RPM will
  never be renamed (though useless for now)

* Fri Sep 12 2003 Abel Cheung <deaddog@deaddog.org> 1.2.2-2mdk
- Rebuild with db 4.1
- Patch0: Fix DB detection order, prefer libdb-*.* to libdb
- Patch1: Fix argument of open() in db4.1, which is different from 4.0
- No need to bundle icon, already upstream

* Fri May 9 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 1.2.2-1mdk
- new version
- removed patch, merged with upstream

* Thu Feb 27 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 1.2.1-2mdk
- add patch to faster working with too biiig msg strings (espec. DrakX.po),
  thanks for patch to Vaclav Slavik

* Wed Feb 26 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 1.2.1-1mdk
- new version of poedit
	- added more translations:
		* Georgian (Aiet Kolkhi)
		* Romanian (Ovidiu Constantin)
		* Catalan (Pau Bosch i Crespo) 
	- reworked Traditional Chinese translation (Myths)
	- fixed bug when empty error text was shown if msgfmt reported error
	- moved "Shaded translations list" from preferences into the View menu

* Thu Feb 13 2003 Götz Waschk <waschk@linux-mandrake.com> 1.2.0-2mdk
- rebuild with wxGTK2.4

* Thu Feb 13 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 1.2.0-1mdk
- initial Mandrake import, based on spec file from Vaclav Slavik
- more macroszification, misc changes and clean up
- create poedit-icons source with all needed resolutions, xpm -> png
- make rpmlint happy
